/**
 * Main2 部件模型
 *
 * @export
 * @class Main2Model
 */
export default class Main2Model {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof Main2GridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof Main2GridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'itemtypepname',
          prop: 'itemtypepname',
          dataType: 'PICKUPTEXT',
        },
        {
          name: 'emitemtypename',
          prop: 'emitemtypename',
          dataType: 'TEXT',
        },
        {
          name: 'itemmtypeid',
          prop: 'itemmtypeid',
          dataType: 'PICKUP',
        },
        {
          name: 'description',
          prop: 'description',
          dataType: 'TEXT',
        },
        {
          name: 'itemtypepcode',
          prop: 'itemtypepcode',
          dataType: 'PICKUPDATA',
        },
        {
          name: 'itemtypepid',
          prop: 'itemtypepid',
          dataType: 'PICKUP',
        },
        {
          name: 'itembtypeid',
          prop: 'itembtypeid',
          dataType: 'PICKUP',
        },
        {
          name: 'itemtypecode',
          prop: 'itemtypecode',
          dataType: 'TEXT',
        },
        {
          name: 'srfmajortext',
          prop: 'emitemtypename',
          dataType: 'TEXT',
        },
        {
          name: 'srfdataaccaction',
          prop: 'emitemtypeid',
          dataType: 'GUID',
        },
        {
          name: 'srfkey',
          prop: 'emitemtypeid',
          dataType: 'GUID',
        },
        {
          name: 'emitemtype',
          prop: 'emitemtypeid',
        },

        {
          name:'size',
          prop:'size'
        },
        {
          name:'query',
          prop:'query'
        },
        {
          name:'page',
          prop:'page'
        },
        {
          name:'sort',
          prop:'sort'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}