/**
 * Main2 部件模型
 *
 * @export
 * @class Main2Model
 */
export default class Main2Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof Main2Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'emitemtypeid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'emitemtypename',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'itemtypepname',
        prop: 'itemtypepname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'itemtypecode',
        prop: 'itemtypecode',
        dataType: 'TEXT',
      },
      {
        name: 'emitemtypename',
        prop: 'emitemtypename',
        dataType: 'TEXT',
      },
      {
        name: 'itembtypename',
        prop: 'itembtypename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'itemmtypename',
        prop: 'itemmtypename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'orgid',
        prop: 'orgid',
        dataType: 'SSCODELIST',
      },
      {
        name: 'description',
        prop: 'description',
        dataType: 'TEXT',
      },
      {
        name: 'createman',
        prop: 'createman',
        dataType: 'TEXT',
      },
      {
        name: 'createdate',
        prop: 'createdate',
        dataType: 'DATETIME',
      },
      {
        name: 'updateman',
        prop: 'updateman',
        dataType: 'TEXT',
      },
      {
        name: 'updatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'emitemtypeid',
        prop: 'emitemtypeid',
        dataType: 'GUID',
      },
      {
        name: 'emitemtype',
        prop: 'emitemtypeid',
        dataType: 'FONTKEY',
      },
    ]
  }

}